# $Revision: 1.4 $, $Date: 2002/01/13 11:36:47 $
Summary:	A real-time visual space simulation
Summary(pl):	Symulacja przestrzeni kosmicznej w czasie rzeczywistym
Name:		celestia
Version:	1.1.4
Release:	2
License:	GPL
Group:		X11/Applications/Games
Group(de):	X11/Applikationen/Spiele
Group(pl):	X11/Aplikacje/Gry
Source0:	http://prdownloads.sourceforge.net/celestia/%{name}-%{version}.tar.gz
URL:		http://www.shatters.net/celestia/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glut-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel
BuildRequires:	gtkglarea-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Celestia is a free real-time space simulation that lets you experience
our universe in three dimensions. Unlike most planetarium software,
Celestia doesn't confine you to the surface of the Earth. You can
travel throughout the solar system, to any of over 100,000 stars, or
even beyond the galaxy. All travel in Celestia is seamless; the
exponential zoom feature lets you explore space across a huge range of
scales, from galaxy clusters down to spacecraft only a few meters
across. A 'point-and-goto' interface makes it simple to navigate
through the universe to the object you want to visit.

%description -l pl
Celestia to wolny symulator przestrzeni komicznej w czasie
rzeczywistym, ktry pozwala dowiadcza naszego Wszechwiata w trzech
wymiarach. W odrnieniu od innych programw planetarnych Celestia nie
przywizuje Ci do powierzchni ziemi. Moesz podrowa przez Ukad
Soneczny do ponad 100,000 gwiazd lub nawet poza galaktyk. Wszystkie
podre w Celestii s niezauwaalne; funkcja wykadniczego
przyblienia pozwala Ci odkrywa Kosmos w rnych skalach - od
spojrzenia na galaktyki do widoku kilkumetrowych statkw kosmicznych.
Interfejs typu 'poka-i-le' czyni nawigacj przez Wszechwiat prost.

%prep
%setup -q

%build
rm -f missing
aclocal -I macros
autoconf
automake -a -f
CFLAGS="-I%{_includedir} %{rpmcflags}"
CPPFLAGS="-I%{_includedir} %{rpmcflags}"
CXXFLAGS="-I%{_includedir} %{rpmcflags} -fno-rtti -fno-exceptions"
%configure \
	--enable-gtk
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -e DESTDIR=$RPM_BUILD_ROOT install

gzip -9nf README AUTHORS TODO controls.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz 
%attr(755,root,root) %{_bindir}/*
%{_datadir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: celestia.spec,v $
Revision 1.4  2002/01/13 11:36:47  kloczek
- added -fno-rtti -fno-exceptions to CXXFLAGS (cut radicaly binaries size).

Revision 1.3  2001/12/28 10:25:13  qboosh
- removed Requires that are generated automagically, BR: ac,am

Revision 1.2  2001/12/28 00:44:41  mkochano
- Release 2.
- Cosmetics (Requires in separate lines, using tabulator).
- Removed re-definition of %%{_datadir}. It is done automatically.
- Rebuilt ac/am stuff. Now it can be use without dirty tricks. BTW: it
  didn't work at all for me before...
- Corrected %%files. Package didn't build before due to missing "S" in
  "AUTHORS".

Revision 1.1  2001/12/27 16:38:55  fastviper
- created this spec
- adapterized
